Bug 882330 - weak root password notification message rolls off the screen
Summary: weak root password notification message rolls off the screen
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-30 17:05 UTC by mkruger
Modified: 2014-01-02 18:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-02 18:47:13 UTC
Type: Bug


Attachments (Terms of Use)

Description mkruger 2012-11-30 17:05:53 UTC
Description of problem:

When setting the root password, if the password is weak, there is a notification message. It is that message which shifts the password dialog box off center and it rolls off the screen along with the notification message itself. 

Version-Release number of selected component (if applicable):

Fedora 18 Beta

How reproducible:

Every time

Steps to Reproduce:
1. Enter a weak root password
2.
3.
  
Actual results:

Notification shifts everything offscreen to the right.

Expected results:

No shifting of password dialog box and a "word or line wrapping" of error messages such as the weak password notification.

Additional info:

Comment 1 mkruger 2012-12-04 00:54:36 UTC
Thought I should mention this is a virtual machine (vmware esxi 5.1) which by default uses a very low resolution (640x480 probably). I was not able to reproduce the problem on my netbook which uses a 1280x800 resolution.

Comment 2 Martin Wilck 2012-12-14 11:12:08 UTC
I saw this here on a Xen VM too with a 1024x758 screen and German language. The required user action for forcing the weak password was unreadable. I figured it out by guessing (there weren't many options, after all).

Comment 3 Fedora End Of Life 2013-12-21 09:35:06 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Chris Lumens 2014-01-02 18:47:13 UTC
I believe this is now fixed, but if it is not feel free to reopen this bug.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.